/*
Module : dllmain.cpp
Purpose: Implementation for code which imlements the DLL Module class and DllMain
Created: PJN / 20-01-2002

Copyright (c) 2002 - 2022 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code. 

*/


//////////////////// Includes /////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"
#pragma warning(push)
#pragma warning(disable: 28251)
#include "EnumWnd_i.h"
#pragma warning(pop)
#include "TopLevelWindows.h"
#include "TopLevelWindows2.h"
#include "EnumWindow.h"
#include "dllmain.h"


//////////////////// Macros / Defines /////////////////////////////////////////

#pragma warning(suppress: 26426)
CEnumWndModule _AtlModule;


//////////////////// Implementation ///////////////////////////////////////////

extern "C" BOOL WINAPI DllMain(HINSTANCE /*hInstance*/, DWORD dwReason, LPVOID lpReserved)
{
  return _AtlModule.DllMain(dwReason, lpReserved);
}
