/*
Module : dllmain.h
Purpose: Interface for the DLL Module class
Created: PJN / 20-01-2002

Copyright (c) 2002 - 2022 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code.

*/



//////////////////// Macros / Defines /////////////////////////////////////////

#pragma once


//////////////////// Classes //////////////////////////////////////////////////

class CEnumWndModule : public ATL::CAtlDllModuleT< CEnumWndModule >
{
public :
#pragma warning(suppress: 26440)
  DECLARE_LIBID(LIBID_ENUMWNDLib) //NOLINT(modernize-use-noexcept)
#pragma warning(suppress: 26440 26477 26485 26486)
  DECLARE_REGISTRY_APPID_RESOURCEID(IDR_ENUMWND, "{A7929A5E-7AF6-4CE1-B15A-4899F8853712}") //NOLINT(modernize-avoid-c-arrays, modernize-use-noexcept)
};


//////////////////// Externs //////////////////////////////////////////////////

extern class CEnumWndModule _AtlModule;
